from PyQt4 import QtGui, QtCore
from PyKDE4.kdeui import *
from resources_rc import *
from exifui import ExifUI

class SideBar(KMultiTabBar):
    """
    My own side bar
    """
    def __init__(self,parent, stack):
        KMultiTabBar.__init__(self, KMultiTabBar.Right)
        self.setStyle(KMultiTabBar.VSNET)
        self.stack =  stack
        self.stack.resize(QtCore.QSize(250,537))
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        self.stack.setSizePolicy(sizePolicy)

        self.minimal = True

        pix = QtGui.QPixmap(':/icons/pony.png')
        self.appendTab(pix,0,"Exif Information")
        self.stack.insertWidget(0,ExifUI(self))
        #self.setTab(1,True)
        self.connect(self.tab(0),QtCore.SIGNAL("clicked(int)"),self.clicked)

    def clicked(self,id):
        """
        When user clicks on a tab, show or hide based on that
        """
        if id == 0:
            if self.minimal:
                self.stack.show()
                self.minimal = False
            else:
                self.stack.hide()
                self.minimal = True

    def addDetails(self,details):
        """
        Add the details to EXIF info widget
        """
        w = self.stack.widget(0)
        w.addDetails(details)
